Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
Duong Nhat Duy

Entsel không highlight đối tượng khi đặt giữa Undo ?

Các bài được khuyến nghị

Mình có 2 đoạn lisp như này:

(defun C:111 ()
  (entsel)
  (print)
  )

(defun C:222 ()
  (command "UNDO" "BE")
  (entsel)
  (command "UNDO" "END")
  (print)
  )

Lệnh 111 trong khi chọn đối tượng vẫn highlight đối tượng như bình thường (highlight khi chỉ vào đối tượng, ở đây mình không nói đến highlight sau khi đã chọn đối tượng).

Lệnh 222 không highlight được đối tượng vì đặt trong Undo.

Vậy mình muốn hỏi là có cách nào giữ lệnh Undo mà vẫn highlight được đối tượng không. Mong các bạn giúp đỡ !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Dùng vla...

(defun C:333 ()
  (vl-load-com)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-startundomark doc)
  (entsel)
  (vla-endundomark doc)
  
  (print)  )

 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
1 phút trước, gia_bach đã nói:

Dùng vla...


(defun C:333 ()
  (vl-load-com)
  (setq doc (vla-get-activedocument (vlax-get-acad-object)))
  (vla-startundomark doc)
  (entsel)
  (vla-endundomark doc)
  
  (print)  )

 

Oh đơn giản quá, cảm ơn bạn nhé !

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay
Đăng nhập để thực hiện theo  

×